import logo from './logo.svg';
import './App.css';
import {useState} from 'react';

const MyDiv = () => {
    return (
        <div>
            Привет-привет!
            <input />
        </div>
        )
}

const BlockOfTextWithHeader = ({children,title='No Title'}) =>
<>
    <h2>{title}</h2>
    <p>
        {children}
    </p>
</>

// const arr = ["Див 1", "Див 2"]
// const data = [
//     {children: '1111',title: 'адын-адын'},
//     {children: '2222',title: 'два-два'},
//     {children: '3333',title: 'тры-тры'},
// ]

// const Counter = () => {
//     const [count, setCount] = useState(10)
//     console.log(count)
//     return (<button onClick={() => setCount(count +1)}>
//                     {count}
//             </button>)
// }
//
// const TextLength = ({text}) => <h1>{text.length}</h1>
//
// const Input = () => {
//     const [text, setText] = useState('testtest')
//     return (
//         <div>
//             <input value={text}
//                 onChange={e => setText(e.target.value.toUpperCase())}/>
//             <TextLength text={text} />
//         </div>
//     )
// }

const LoginForm = ({onLogin}) => {
    //тут надо два состояния - для логина и для пароля;
    //кнопка логина должна быть disabled если одно из полей пустое
    //по клику на кнопку запустить onLogin и передать туда текущее состояние login и password
    const [login, setLogin] = useState('')
    const [password, setPassword] = useState('')

    const lenghtCheck = !(login.length >= 4 && password.length >= 4)
    return (
        <div>
            <input
                value = {login}
                onChange={e => setLogin(e.target.value)}
                type="text"
                placeholder='Login'/>
            <input
                value = {password}
                onChange={e => setPassword(e.target.value)}
                type="password"
                placeholder='Password'
            />
            <button
                onClick={() => onLogin({login, password})}
                disabled = {lenghtCheck}
                type="submit"
            > Login... </button>
        </div>
    )
}

function App() {
    return (
        <div className="App">
            <LoginForm onLogin={({login, password}) => console.log('ЛОГИН И ПАРОЛЬ', login, password)}/>
        </div>
    );
}



export default App;
